﻿<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Internal roster report
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPDF()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-export-pdf fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
      
        <div class="report-container-base">
            <table class="table table-reports-head-gray">
                <!--1-->
                <tr>
                    <td rowspan="3"></td>
                    <td rowspan="2" valign="middle"><img class="logo-club" ng-src="{{InfoModel.Logo}}" /></td>
                    <td colspan="5"></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
                <!--2-->
                <tr>
                    <td colspan="5"></td>
                    <td>School Name: {{InfoModel.SchoolName}}</td>
                    <td>Report Date: {{InfoModel.ReportDate}}</td>
                    <td></td>
                    <td></td>
                </tr>
                <!--3-->
                <tr>
                    <td>Total Number of prticipants: {{InfoModel.TotalNumberOfParticipant}}</td>
                    <td colspan="5"></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
            </table>



            <table class="table bordered table-report-custom">
                <thead>
                    <tr class="row-green">
                        <td></td>
                        <td valign="middle">Participant</td>
                        <td valign="middle" colspan="5">Program</td>
                        <td valign="middle">Parent/Guardian Info</td>
                        <td valign="middle">Emergency Contact Info</td>
                        <td valign="middle">Authorized Pick up</td>
                        <td valign="middle">Medical Concerns</td>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="Participant in InfoModel.Participants">
                        <td>{{Participant.Number}}</td>
                        <td class="td-parent-table">
                            <ul>
                                <li>{{Participant.StudentName}}</li>
                                <li>{{Participant.Grade}}</li>
                                <li>{{Participant.Gender}}</li>
                                <li ng-show="Participant.TeacherName != '' ">Teacher: {{Participant.TeacherName}}</li>
                                <li ng-show="Participant.TeacherName == ''"></li>
                                <li>Tuition label: {{Participant.TuitionName}}</li>
                                <li></li>
                            </ul>

                        </td>
                        <td colspan="5" class="td-parent-table">
                            <table class="table">
                                <tr>
                                    <td colspan="5">{{Participant.ProgramName}}</td>
                                </tr>
                                <tr>
                                    <td colspan="5">{{Participant.StrStartTime}} - {{Participant.StrEndTime}}</td>
                                </tr>
                                <tr>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                </tr>
                            </table>
                            <table class="table">
                                <tr class="row-green">
                                    <td>M</td>
                                    <td>T</td>
                                    <td>W</td>
                                    <td>R</td>
                                    <td>F</td>
                                </tr>
                                <tr>
                                    <td ng-show="Participant.Monday == true">X</td>
                                    <td ng-show="Participant.Monday != true">&nbsp;</td>
                                    <td ng-show="Participant.Tuesday == true">X</td>
                                    <td ng-show="Participant.Tuesday != true">&nbsp;</td>
                                    <td ng-show="Participant.Wednesday == true">X</td>
                                    <td ng-show="Participant.Wednesday != true">&nbsp;</td>
                                    <td ng-show="Participant.Thursday == true">X</td>
                                    <td ng-show="Participant.Thursday !=true">&nbsp;</td>
                                    <td ng-show="Participant.Friday == true">X</td>
                                    <td ng-show="Participant.Friday != true">&nbsp;</td>
                                </tr>
                            </table>
                        </td>
                        <td class="td-parent-table">
                            <ul>
                                <li ng-show="Participant.FirstParentName != ' '">{{Participant.FirstParentName}}</li>
                                <li ng-show="Participant.FirstParentName == ' '">-</li>
                                <li ng-show="Participant.FirstParentHome != ''">{{Participant.FirstParentHome}}</li>
                                <li ng-show="Participant.FirstParentHome == ''">-</li>
                                <li ng-show="Participant.FirstParentPhone != ''">{{Participant.FirstParentPhone}}</li>
                                <li ng-show="Participant.FirstParentPhone == ''">-</li>
                                <li ng-show="Participant.FirstParentEmail !=null">{{Participant.FirstParentEmail}}</li>
                                <li ng-show="Participant.FirstParentEmail == null">-</li>
                                <li ng-show="Participant.FirstParentRelationShip !=''">{{Participant.FirstParentRelationShip}}</li>
                                <li ng-show="Participant.FirstParentRelationShip ==''">-</li>
                            </ul>
                            <ul  ng-if="Participant.SecoundParentName != ' '">
                                <li ng-show="Participant.SecoundParentName != ' '">{{Participant.SecoundParentName}}</li>
                                <li ng-show="Participant.SecoundParentName == ' '">-</li>
                                <li ng-show="Participant.SecoundParentHome!=''">{{Participant.SecoundParentHome}}</li>
                                <li ng-show="Participant.SecoundParentHome==''">-</li>
                                <li ng-show="Participant.SecoundParentPhone!=''">{{Participant.SecoundParentPhone}}</li>
                                <li ng-show="Participant.SecoundParentPhone ==''">-</li>
                                <li ng-show="Participant.SecoundParentEmail !=''">{{Participant.SecoundParentEmail}}</li>
                                <li ng-show="Participant.SecoundParentEmail ==''">-</li>
                                <li ng-show="Participant.SecoundParentRelationShip !=''">{{Participant.SecoundParentRelationShip}}</li>
                                <li ng-show="Participant.SecoundParentRelationShip ==''">-</li>
                            </ul>

                        </td>
                        <td class="td-parent-table">
                            <ul>
                                <li ng-show="Participant.FirstEmergencyName !=' '">{{Participant.FirstEmergencyName}}</li>
                                <li ng-show="Participant.FirstEmergencyName ==' '"></li>
                                <li>-</li>
                                <li ng-show="Participant.FirstEmergencyPhone !=''">{{Participant.FirstEmergencyPhone}}</li>
                                <li ng-show="Participant.FirstEmergencyPhone ==''">-</li>
                                <li ng-show="Participant.Email!= null">{{Participant.Email}}</li>
                                <li ng-show="Participant.Email== null">-</li>
                                <li ng-show="Participant.FirstEmergencyRelationShip !=''">{{Participant.FirstEmergencyRelationShip}}</li>
                                <li ng-show="Participant.FirstEmergencyRelationShip !=''"></li>
                            </ul>
                            <ul  ng-if="Participant.SecoundEmergencyName!= ' '">
                                <li ng-show="Participant.SecoundEmergencyName !=' '">{{Participant.SecoundEmergencyName}}</li>
                                <li ng-show="Participant.SecoundEmergencyName ==' '">-</li>
                                <li>-</li>
                                <li ng-show="Participant.SecoundEmergencyPhone !=''">{{Participant.SecoundEmergencyPhone}}</li>
                                <li ng-show="Participant.SecoundEmergencyPhone ==''">-</li>
                                <li ng-show="Participant.Email !=null">{{Participant.Email}}</li>
                                <li ng-show="Participant.Email ==null">-</li>
                                <li ng-show="Participant.SecoundEmergencyRelationShip !=''">{{Participant.SecoundEmergencyRelationShip}}</li>
                                <li ng-show="Participant.SecoundEmergencyRelationShip ==''">-</li>

                            </ul>
                        </td>
                        <td class="td-parent-table">

                            <ul ng-if="Participant.FirstAuthuraizePikeUpName != ' '">
                                <li ng-show="Participant.FirstAuthuraizePikeUpName !=' '">{{Participant.FirstAuthuraizePikeUpName}}</li>
                                <li ng-show="Participant.FirstAuthuraizePikeUpName ==' '">-</li>
                                <li>-</li>
                                <li ng-show="Participant.FirstAuthuraizePikeUpPhone !=''">{{Participant.FirstAuthuraizePikeUpPhone}}</li>
                                <li ng-show="Participant.FirstAuthuraizePikeUpPhone ==''">-</li>
                                <li>-</li>
                                <li ng-show="Participant.FirstAuthuraizePikeUpRelationShip !=''">{{Participant.FirstAuthuraizePikeUpRelationShip}}</li>
                                <li ng-show="Participant.FirstAuthuraizePikeUpRelationShip ==''">-</li>
                            </ul>
                            <ul  ng-if="Participant.SecoundAuthuraizePikeUpName!= ' '">
                                <li ng-show="Participant.SecoundAuthuraizePikeUpName !=' '">{{Participant.SecoundAuthuraizePikeUpName}}</li>
                                <li ng-show="Participant.SecoundAuthuraizePikeUpName ==' '">-</li>
                                <li>-</li>
                                <li ng-show="Participant.SecoundAuthuraizePikeUpPhone !=''">{{Participant.SecoundAuthuraizePikeUpPhone}}</li>
                                <li ng-show="Participant.SecoundAuthuraizePikeUpPhone ==''">-</li>
                                <li>-</li>
                                <li ng-show="Participant.SecoundAuthuraizePikeUpRelationShip !=''">{{Participant.SecoundAuthuraizePikeUpRelationShip}}</li>
                                <li ng-show="Participant.SecoundAuthuraizePikeUpRelationShip ==''">-</li>
                            </ul>
                        </td>
                        <td class="td-parent-table">
                            <ul>
                                <li ng-show="Participant.HealthMedical !=''">{{Participant.HealthMedical}}</li>
                                <li ng-show="Participant.Allergies !=''">{{Participant.Allergies}}</li>
                                <li ng-show="Participant.Deitary !=''">{{Participant.Deitary}}</li>
                                <li ng-show="Participant.Medication !=''">{{Participant.Medication}}</li>
                                <li ng-show="Participant.Other !=''">{{Participant.Other}}</li>

                            </ul>

                        </td>
                    </tr>

                </tbody>
            </table>
        </div>
   
    </div>
    <div class="clearfix"></div>
</div>
